## qtconnectivity-opensource-src 5.0~git20130802

=== auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Core REQUIRED)

find_package(Qt5Bluetooth REQUIRED)

include_directories(
  ${Qt5Bluetooth_INCLUDE_DIRS}
)

add_definitions(
  ${Qt5Bluetooth_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt5Bluetooth_LIBRARIES}
)

=== debian/changelog ===
qtconnectivity-opensource-src (5.0~git20130802-0ubuntu1) saucy; urgency=low

  * Initial release
  * debian/patches/add_license_files.patch:
    - Add license files (submitted a request to upstream)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 20 Aug 2013 08:46:41 +0300

=== debian/control ===
Source: qtconnectivity-opensource-src
Section: libs
Priority: optional
Maintainer: Timo Jyrinki <timo-jyrinki@ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-private-dev,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtconnectivity-opensource-src
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtconnectivity-opensource-src

Package: libqt5bluetooth5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Connectivity Bluetooth module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth part of the Qt Connectivity module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qtbluetooth-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5bluetooth5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Connectivity module - Bluetooth QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth QML plugin from the Qt Connectivity module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5nfc5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Connectivity NFC module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC part of the Qt Connectivity module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qtnfc-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5nfc5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Connectivity module - NFC QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC QML plugin from the Qt Connectivity module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtconnectivity5-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~),
             ${misc:Pre-Depends},
Depends: libqt5bluetooth5 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt Connectivity development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Connectivity libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtconnectivity5-private-dev
Architecture: any
Section: libdevel
Pre-Depends: dpkg (>= 1.15.6~),
             ${misc:Pre-Depends},
Depends: qtconnectivity5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Connectivity private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using connectivity private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtconnectivity5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5bluetooth5 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt Connectivity library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Connectivity
 libraries.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtconnectivity5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtconnectivity-opensource-src 5.2.1

=== debian/changelog ===
qtconnectivity-opensource-src (5.2.1-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release
  * Move mkspecs to the new location
  * Make private headers cleaning non version specific
  * Add examples package
  * Add dependencies to build against the 5.2.1 versions

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Feb 2014 00:01:49 -0300

qtconnectivity-opensource-src (5.2.0-1) experimental; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 30 Jan 2014 00:07:32 -0300

=== debian/control ===
Source: qtconnectivity-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Felix Geyer <fgeyer@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: debhelper (>= 9.0.0),
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.2.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtconnectivity.git;a=summary

Package: libqt5bluetooth5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Connectivity Bluetooth module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth part of the Qt Connectivity module.

Package: qtdeclarative5-qtbluetooth-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5bluetooth5, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Connectivity module - Bluetooth QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Bluetooth QML plugin from the Qt Connectivity module.

Package: libqt5nfc5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Connectivity NFC module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC part of the Qt Connectivity module.

Package: qtdeclarative5-qtnfc-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5nfc5, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Connectivity module - NFC QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the NFC QML plugin from the Qt Connectivity module.

Package: qtconnectivity5-dev
Section: libdevel
Architecture: any
Depends: libqt5bluetooth5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: Qt Connectivity development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Connectivity libraries.

Package: qtconnectivity5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Connectivity examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Connectivity examples.

Package: qtconnectivity5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5bluetooth5 (= ${binary:Version}), ${misc:Depends}
Description: Qt Connectivity library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Connectivity
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtconnectivity5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install

	# Remove libtool-like files
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Remove private headers we are not installing.
	rm -rfv debian/tmp/usr/include/qt5/QtNfc/*/QtNfc/private/
	rm -rfv debian/tmp/usr/include/qt5/QtBluetooth/*/QtBluetooth/private/

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtconnectivity-opensource-src-([^-]*)\.tar.xz

## qtconnectivity-opensource-src 5.3.0

=== debian/changelog ===
qtconnectivity-opensource-src (5.3.0-2ubuntu0.1) utopic-proposed; urgency=low

  * Add BlueZ bluetooth dependency, so that bluetooth works. (LP: #1412246)

 -- Saikrishna Arcot <saiarcot895@gmail.com>  Wed, 21 Jan 2015 12:25:34 -0500

qtconnectivity-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 00:48:02 -0300

qtconnectivity-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Move the headers to their new m-a path. Mark the development package
    as Multi-Arch: same.
  * Bump Qt build dependencies.
  * Fix rule to remove private headers, they are now also in a m-a path.
  * Fix install files with new and removed files.
  * Update symbols files with the current log.
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 May 2014 15:31:49 -0300

qtconnectivity-opensource-src (5.2.1-4) unstable; urgency=medium

  * Make qtconnectivity5-dev depend on libqt5nfc5 (Closes: #747971).
    Thanks Laurent Bonnaud.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 14 May 2014 19:11:00 -0300

qtconnectivity-opensource-src (5.2.1-3) unstable; urgency=medium

  * Rename QML packages with proper Break+Replaces and files renaming:
    - qtdeclarative5-qtbluetooth-plugin → qml-module-qtbluetooth
    - qtdeclarative5-qtnfc-plugin → qml-module-qtnfc

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 15:41:37 -0300

qtconnectivity-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:02:32 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtconnectivity-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -9,9 +10,11 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@gmail.com>
 Build-Depends: debhelper (>= 9.0.0),
+               libbluetooth-dev [linux-any],
+               pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.1~)
+               qtbase5-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
@@ -29,15 +32,27 @@
  This package contains the Bluetooth part of the Qt Connectivity module.
 
 Package: qtdeclarative5-qtbluetooth-plugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtbluetooth, ${misc:Depends}
+Description: transitional dummy package for Qt5's Bluetooth QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package which can be safely removed.
+
+Package: qml-module-qtbluetooth
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5bluetooth5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt Connectivity module - Bluetooth QML plugin
+Breaks: qtdeclarative5-qtbluetooth-plugin (<< 5.2.1-3~)
+Replaces: qtdeclarative5-qtbluetooth-plugin (<< 5.2.1-3~)
+Description: Qt Connectivity module - Bluetooth QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the Bluetooth QML plugin from the Qt Connectivity module.
+ This package contains the Bluetooth QML module from the Qt Connectivity module.
 
 Package: libqt5nfc5
 Architecture: any
@@ -51,20 +66,37 @@
  This package contains the NFC part of the Qt Connectivity module.
 
 Package: qtdeclarative5-qtnfc-plugin
+Architecture: all
+Section: oldlibs
+Depends: qml-module-qtnfc, ${misc:Depends}
+Description: transitional dummy package for Qt5's NFC QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This is a transitional dummy package for qml-module-qtnfc and it can be
+ safely removed.
+
+Package: qml-module-qtnfc
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5nfc5, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt Connectivity module - NFC QML plugin
+Breaks: qtdeclarative5-qtnfc-plugin (<< 5.2.1-3~)
+Replaces: qtdeclarative5-qtnfc-plugin (<< 5.2.1-3~)
+Description: Qt Connectivity module - NFC QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the NFC QML plugin from the Qt Connectivity module.
+ This package contains the NFC QML module from the Qt Connectivity module.
 
 Package: qtconnectivity5-dev
 Section: libdevel
 Architecture: any
-Depends: libqt5bluetooth5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: libqt5bluetooth5 (= ${binary:Version}),
+         libqt5nfc5 (= ${binary:Version}),
+         qtbase5-dev,
+         ${misc:Depends}
 Description: Qt Connectivity development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qtconnectivity-opensource-src 5.3.2

=== debian/changelog ===
qtconnectivity-opensource-src (5.3.2-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 19:44:04 -0300

qtconnectivity-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 17 Sep 2014 18:03:47 -0300

qtconnectivity-opensource-src (5.3.1-4) unstable; urgency=medium

  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 08 Aug 2014 16:59:22 -0300

qtconnectivity-opensource-src (5.3.1-3) unstable; urgency=medium

  * Mark libbluetooth-dev as linux-any. In this way the code will build but
    will not show any blueetooth adapters on !linux.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 08 Aug 2014 09:17:13 -0300

qtconnectivity-opensource-src (5.3.1-2) unstable; urgency=medium

  * Add libbluetooth-dev and pkg-config build dependencies to build with 
    bluez support (Closes: #757271)
  * Add the new symbols

 -- Timo Jyrinki <timo@debian.org>  Thu, 07 Aug 2014 09:41:12 +0300

qtconnectivity-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop transitional packages for QML modules, they are not needed anymore.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 29 Jun 2014 16:55:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qtconnectivity-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.0+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.0~)
+               qtbase5-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.2~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtconnectivity.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
 
 Package: libqt5bluetooth5
 Architecture: any
@@ -30,16 +29,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Bluetooth part of the Qt Connectivity module.
-
-Package: qtdeclarative5-qtbluetooth-plugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtbluetooth, ${misc:Depends}
-Description: transitional dummy package for Qt5's Bluetooth QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package which can be safely removed.
 
 Package: qml-module-qtbluetooth
 Architecture: any
@@ -64,17 +53,6 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the NFC part of the Qt Connectivity module.
-
-Package: qtdeclarative5-qtnfc-plugin
-Architecture: all
-Section: oldlibs
-Depends: qml-module-qtnfc, ${misc:Depends}
-Description: transitional dummy package for Qt5's NFC QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional dummy package for qml-module-qtnfc and it can be
- safely removed.
 
 Package: qml-module-qtnfc
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,5 +21,5 @@
 	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# Remove private headers we are not installing.
-	rm -rfv debian/tmp/usr/include/qt5/QtNfc/*/QtNfc/private/
-	rm -rfv debian/tmp/usr/include/qt5/QtBluetooth/*/QtBluetooth/private/
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtNfc/*/QtNfc/private/
+	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtBluetooth/*/QtBluetooth/private/

## qtconnectivity-opensource-src 5.4.1

=== debian/changelog ===
qtconnectivity-opensource-src (5.4.1-1ubuntu1) vivid; urgency=medium

  [ Dmitry Shachnev ]
  * Add documentation packages.
  * Add some missing copyright information.

  [ Timo Jyrinki ]
  * Use Debian's unpublished 5.4.1-2 from NEW queue. No Ubuntu changes 
    are needed so this can be synced later again.
  * Cherry-pick a fix from upstream to fix powerpc build:
    - debian/patches/Use-proper-endian-conversion-functions.patch
      (LP: #1430668)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 12 Mar 2015 07:08:49 +0000

qtconnectivity-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Update watch file to qt.io
  * Bump Qt build-dependencies to 5.4.1.
  * Update *.symbols for GCC 5. (Closes: #778086)
  * Update debian/copyright.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 13:25:45 +0000

qtconnectivity-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright with new LGPL 3 license.
  * Bump Qt build dependencies to 5.4.0.
  * Regenerate generated DBus files.
  * Simplify examples install file.
  * Simplify qtconnectivity5-dev.install file.
  * Add libqt5bluetooth5-bin and make libqt5bluetooth5 depend on it.
    libqt5bluetooth5-bin holds an app to help libqt5bluetooth5 without
    creating licensing problems in the code.
  * Update symbols files with current build log.
  * Update Standards-Version to 3.9.6, no changes required.
  * Remove empty directories left after removing private headers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Dec 2014 16:22:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtconnectivity-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -12,9 +13,12 @@
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.3.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.3.2~)
-Standards-Version: 3.9.5
+               qtbase5-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
@@ -23,12 +27,24 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5bluetooth5-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: Qt Connectivity Bluetooth module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the Bluetooth part of the Qt Connectivity module.
+
+Package: libqt5bluetooth5-bin
+Architecture: any
+Section: utils
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt Connectivity Bluetooth module helper binaries
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Bluetooth helper binaries.
 
 Package: qml-module-qtbluetooth
 Architecture: any
@@ -106,3 +122,27 @@
  .
  This package contains the debugging symbols for the Qt 5 Connectivity
  libraries.
+
+Package: qtconnectivity5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 Sensors documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 Connectivity
+ modules (Qt Bluetooth and Qt NFC).
+
+Package: qtconnectivity5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 Sensors HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 Connectivity
+ modules (Qt Bluetooth and Qt NFC).

## qtconnectivity-opensource-src 5.4.2

=== debian/changelog ===
qtconnectivity-opensource-src (5.4.2-2build1) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 09:40:41 +0300

qtconnectivity-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch the binary packages to linux-any as there is no bluez support
    outside linux.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:56:46 -0300

qtconnectivity-opensource-src (5.4.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Expose HTML documentation.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:23:01 -0300

qtconnectivity-opensource-src (5.4.1-2) experimental; urgency=medium

  * Add documentation packages.
  * Add some missing copyright information.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 20:32:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtconnectivity-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -13,18 +12,18 @@
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
-                     qtbase5-doc-html (>= 5.4.1+dfsg~),
-                     qttools5-dev-tools (>= 5.4.1~)
+               qtbase5-dev (>= 5.4.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.2~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
+                     qtbase5-doc-html (>= 5.4.2+dfsg~),
+                     qttools5-dev-tools (>= 5.4.2~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
 
 Package: libqt5bluetooth5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5bluetooth5-bin, ${misc:Depends}, ${shlibs:Depends}
@@ -35,7 +34,7 @@
  This package contains the Bluetooth part of the Qt Connectivity module.
 
 Package: libqt5bluetooth5-bin
-Architecture: any
+Architecture: linux-any
 Section: utils
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -47,7 +46,7 @@
  This package contains Bluetooth helper binaries.
 
 Package: qml-module-qtbluetooth
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5bluetooth5, ${misc:Depends}, ${shlibs:Depends}
@@ -60,7 +59,7 @@
  This package contains the Bluetooth QML module from the Qt Connectivity module.
 
 Package: libqt5nfc5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -71,7 +70,7 @@
  This package contains the NFC part of the Qt Connectivity module.
 
 Package: qml-module-qtnfc
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5nfc5, ${misc:Depends}, ${shlibs:Depends}
@@ -85,7 +84,7 @@
 
 Package: qtconnectivity5-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: libqt5bluetooth5 (= ${binary:Version}),
          libqt5nfc5 (= ${binary:Version}),
@@ -99,7 +98,7 @@
  applications using Qt Connectivity libraries.
 
 Package: qtconnectivity5-examples
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: x11
 Pre-Depends: dpkg (>= 1.15.6~)
@@ -112,7 +111,7 @@
 
 Package: qtconnectivity5-dbg
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: debug
 Depends: libqt5bluetooth5 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,15 @@
 	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtconnectivity5-dbg
 
 override_dh_auto_configure:
+	# Be sure to regenerate the DBus cpp files
+	cd src/bluetooth/bluez/ ; ./generate
+	# Now call qmake
 	qmake
 
-override_dh_auto_install:
+override_dh_auto_build-indep:
+	dh_auto_build -Smakefile -- docs
+
+override_dh_auto_install-arch:
 	dh_auto_install
 
 	# Remove libtool-like files
@@ -23,3 +29,7 @@
 	# Remove private headers we are not installing.
 	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtNfc/*/QtNfc/private/
 	rm -rfv debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtBluetooth/*/QtBluetooth/private/
+	find debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/ -type d -empty -delete
+
+override_dh_auto_install-indep:
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

## qtconnectivity-opensource-src 5.5.1

=== debian/changelog ===
qtconnectivity-opensource-src (5.5.1-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 14:28:40 +0200

qtconnectivity-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 18:58:40 -0300

qtconnectivity-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 11:09:41 -0300

qtconnectivity-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.
  * Update symbols files.
  * Avoid compiling code during arch-indep builds, by adding empty
    override_dh_auto_test-indep target.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 30 Aug 2015 15:06:53 +0300

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.4.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.4.2~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.2+dfsg~),
-                     qtbase5-doc-html (>= 5.4.2+dfsg~),
-                     qttools5-dev-tools (>= 5.4.2~)
+               qtbase5-dev (>= 5.5.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.5.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
+                     qtbase5-doc-html (>= 5.5.1+dfsg~),
+                     qttools5-dev-tools (>= 5.5.1~)
 Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git

=== debian/rules ===
--- 
+++ 
@@ -33,3 +33,5 @@
 
 override_dh_auto_install-indep:
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+
+override_dh_auto_test-indep:

## qtconnectivity-opensource-src 5.6.1

=== debian/changelog ===
qtconnectivity-opensource-src (5.6.1-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 10:50:41 -0300

qtconnectivity-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Jun 2016 22:23:56 -0300

qtconnectivity-opensource-src (5.6.0-2) experimental; urgency=medium

  * Really upload to experimental.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 05 Apr 2016 09:49:44 -0300

qtconnectivity-opensource-src (5.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Update symbols files with buildds' and current logs.
  * Migrate symbols to new node names.
  * Mark private symbols as such.
  * Make private symbols also depend on the library.
  * Use secure repo's URLs.
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 04 Apr 2016 19:27:35 -0300

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.5.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.5.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
-                     qtbase5-doc-html (>= 5.5.1+dfsg~),
-                     qttools5-dev-tools (>= 5.5.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.6.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.6.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
+                     qtbase5-doc-html (>= 5.6.1+dfsg~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtconnectivity.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtconnectivity.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
 
 Package: libqt5bluetooth5
 Architecture: linux-any

## qtconnectivity-opensource-src 5.7.1~20161021

=== debian/changelog ===
qtconnectivity-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 10:32:29 -0300

qtconnectivity-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Oct 2016 20:37:20 -0300

qtconnectivity-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' and current logs.
  * Add qtbase5-private-dev as a required build dependency.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Sep 2016 19:07:50 -0300

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.6.1~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1+dfsg~),
-                     qtbase5-doc-html (>= 5.6.1+dfsg~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
+               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtconnectivity.git

## qtconnectivity-opensource-src 5.9.1

=== debian/changelog ===
qtconnectivity-opensource-src (5.9.1-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:51:51 -0300

qtconnectivity-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Update libqt5bluetooth5.symbols from 5.9.0 build logs.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jul 2017 23:08:43 +0300

qtconnectivity-opensource-src (5.9.0-1) experimental; urgency=medium

  * Team upload.

  [ Simon Quigley ]
  * New upstream release.
  * Update debian/copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove commented out symbol in libqt5bluetooth5.symbols. It was wrongly
    committed.

  [ Dmitry Shachnev ]
  * Migrate to automatic dbgsym packages.
  * Drop obsolete Breaks/Replaces on pre-5.3 Qt versions.
  * Update debian/copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Jun 2017 14:57:37 -0500

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
            Felix Geyer <fgeyer@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 9.20160114~),
                libbluetooth-dev [linux-any],
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.7.1~20161021+dfsg~),
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~),
-               qtdeclarative5-private-dev (>= 5.7.1~20161021~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qtbase5-doc-html (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.9.1+dfsg~),
+               qtbase5-private-dev (>= 5.9.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.9.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1~),
+                     qtbase5-doc-html (>= 5.9.1+dfsg~),
+                     qttools5-dev-tools (>= 5.9.1~)
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtconnectivity.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtconnectivity.git
@@ -51,8 +51,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5bluetooth5, ${misc:Depends}, ${shlibs:Depends}
-Breaks: qtdeclarative5-qtbluetooth-plugin (<< 5.2.1-3~)
-Replaces: qtdeclarative5-qtbluetooth-plugin (<< 5.2.1-3~)
 Description: Qt Connectivity module - Bluetooth QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -75,8 +73,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5nfc5, ${misc:Depends}, ${shlibs:Depends}
-Breaks: qtdeclarative5-qtnfc-plugin (<< 5.2.1-3~)
-Replaces: qtdeclarative5-qtnfc-plugin (<< 5.2.1-3~)
 Description: Qt Connectivity module - NFC QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -110,19 +106,6 @@
  .
  This package contains Qt 5 Connectivity examples.
 
-Package: qtconnectivity5-dbg
-Priority: extra
-Architecture: linux-any
-Multi-Arch: same
-Section: debug
-Depends: libqt5bluetooth5 (= ${binary:Version}), ${misc:Depends}
-Description: Qt Connectivity library debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 Connectivity
- libraries.
-
 Package: qtconnectivity5-doc
 Priority: extra
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtconnectivity5-dbg
+	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	# Be sure to regenerate the DBus cpp files
@@ -35,3 +35,6 @@
 	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_auto_test-indep:
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtconnectivity5-dbg (<< 5.9.0-1~)'
